curl --location --request DELETE 'https://api.hirempire.com/v1/delete-webhook?id={webhook_id}' \
--header 'Authorization: Bearer sk-••••••••••••'
const response = await fetch('https://api.hirempire.com/v1/delete-webhook?id={webhook_id}', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer sk-••••••••••••' }
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.hirempire.com/v1/delete-webhook"
headers = { "Authorization": "Bearer sk-••••••••••••" }
params = { "id": "{webhook_id}" }
response = requests.delete(url, headers=headers, params=params)
print(response.json())
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/delete-webhook?id={webhook_id}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer sk-••••••••••••'
),
));
$response = curl_exec($curl);
curl_close($curl);
print_r(json_decode($response, true));
?>
{
"success": true,
"id": "0c8b5e54-e053-40b2-8c9c-b45ec90acf8a",
"message": "Webhook deleted successfully",
"deleted": "2026-06-27T10:42:00.000Z"
}
Webhooks
Delete Webhook
Permanently delete a webhook subscription from your workspace
DELETE
/
v1
/
delete-webhook
curl --location --request DELETE 'https://api.hirempire.com/v1/delete-webhook?id={webhook_id}' \
--header 'Authorization: Bearer sk-••••••••••••'
const response = await fetch('https://api.hirempire.com/v1/delete-webhook?id={webhook_id}', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer sk-••••••••••••' }
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.hirempire.com/v1/delete-webhook"
headers = { "Authorization": "Bearer sk-••••••••••••" }
params = { "id": "{webhook_id}" }
response = requests.delete(url, headers=headers, params=params)
print(response.json())
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/delete-webhook?id={webhook_id}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer sk-••••••••••••'
),
));
$response = curl_exec($curl);
curl_close($curl);
print_r(json_decode($response, true));
?>
{
"success": true,
"id": "0c8b5e54-e053-40b2-8c9c-b45ec90acf8a",
"message": "Webhook deleted successfully",
"deleted": "2026-06-27T10:42:00.000Z"
}
Query Parameters
string
required
The unique identifier of the webhook to delete
Authentication
string
required
Bearer authentication header of the form
Bearer <token>, where <token> is your API token.curl --location --request DELETE 'https://api.hirempire.com/v1/delete-webhook?id={webhook_id}' \
--header 'Authorization: Bearer sk-••••••••••••'
const response = await fetch('https://api.hirempire.com/v1/delete-webhook?id={webhook_id}', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer sk-••••••••••••' }
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.hirempire.com/v1/delete-webhook"
headers = { "Authorization": "Bearer sk-••••••••••••" }
params = { "id": "{webhook_id}" }
response = requests.delete(url, headers=headers, params=params)
print(response.json())
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/delete-webhook?id={webhook_id}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer sk-••••••••••••'
),
));
$response = curl_exec($curl);
curl_close($curl);
print_r(json_decode($response, true));
?>
Response
boolean
Indicates if the webhook was deleted successfully
string
The unique identifier of the deleted webhook
string
Confirmation message
string
ISO 8601 timestamp of when the webhook was deleted
{
"success": true,
"id": "0c8b5e54-e053-40b2-8c9c-b45ec90acf8a",
"message": "Webhook deleted successfully",
"deleted": "2026-06-27T10:42:00.000Z"
}
Error Responses
400 Bad Request
{
"success": false,
"error": "Query parameter 'id' is required."
}
{
"success": false,
"error": "Only 'id' query parameter is allowed."
}
401 Unauthorized
{
"success": false,
"error": "Invalid token"
}
{
"success": false,
"error": "Token is expired"
}
404 Not Found
{
"success": false,
"error": "Webhook not found"
}
Was this page helpful?
⌘I